import { FaceBookIcon, MailIcon, PhoneIcon } from "@/icons";

export const subPathLinks: { [key: string]: string } = {
  "New Supplier": "/admin/suppliers/add",
  "Contact Us": "/admin/contact",
};

export const supplierAddInputItems = [
  {
    name: "Company Name*",
    inputName: "Company_Name",
    type: "text",
    placeholder: "Type here....",
  },
  {
    name: "Agent Name*",
    inputName: "Agent_Name",
    type: "text",
    placeholder: "Type here....",
  },
  {
    name: "Email",
    inputName: "Email",
    type: "email",
    placeholder: "Type here....",
  },
  {
    name: "Address 1",
    inputName: "Address1",
    type: "text",
  },
  {
    name: "Address 2",
    inputName: "Address2",
    type: "text",
  },
  {
    name: "Address 3",
    inputName: "Address3",
    type: "text",
  },
];

//aurweda treatment details

export const auyrweda = [
  {
    id: 1,
    title: "Panchakarma - The heart of Ayurvedic therapy",
    des1: "Panchakarma is an intensive cleansing therapy designed to rejuvenate the body, mind, and consciousness. This detoxifying process removes toxins, liberates mental stress, and restores balance among the three life energies: Vata, Pitta, and Kapha. The treatments, tailored to your health and constitution, include herbal medicine, special diets, oil massages, and heat therapies.",
    methods: [
      "Vamana Karma – Vomit therapy to eliminate Kapha-related disorders",
      "Virechana Karma – Purgative therapy to eliminate Pitta imbalances",
      "Vasti Karma – Therapeutic enema for Vata imbalances",
      "Nasya Karma – Sinus cleansing with warm oil or smoke",
      "Raktha Moksha – Bloodletting (used rarely)",
    ],
    sample1: "/ayurweda/b1.png",
    sample2: "/ayurweda/b2.png",
  },

  {
    id: 2,
    title: "The Three Doshas – Basis of Ayurveda",
    des1: "In Sri Lanka Ayurveda, health is maintained through the balance of the three Doshas—Vata, Pitta, and Kapha. These energy principles govern bodily functions, and imbalance leads to illness. Ayurvedic doctors assess Dosha imbalances using pulse diagnosis, anamnesis, and other tests.",
    methods: [
      "Vamana Karma – Vomit therapy to eliminate Kapha-related disorders",
      "Virechana Karma – Purgative therapy to eliminate Pitta imbalances",
      "Vasti Karma – Therapeutic enema for Vata imbalances",
      "Nasya Karma – Sinus cleansing with warm oil or smoke",
      "Raktha Moksha – Bloodletting (used rarely)",
    ],
    sample1: "/ayurweda/b3.png",
    sample2: "/ayurweda/b4.png",
  },

  {
    id: 3,
    title: "Treatments – Wellness for Body and Soul",
    des1: "Sri Lanka Ayurveda follows ancient healing traditions practiced for over 5,000 years. Treatments range from gentle preparatory therapies to intensive Panchakarma detoxification.",
    methods: [
      "Vamana Karma – Vomit therapy to eliminate Kapha-related disorders",
      "Virechana Karma – Purgative therapy to eliminate Pitta imbalances",
      "Vasti Karma – Therapeutic enema for Vata imbalances",
      "Nasya Karma – Sinus cleansing with warm oil or smoke",
      "Raktha Moksha – Bloodletting (used rarely)",
    ],
    sample1: "/ayurweda/b5.png",
    sample2: "/ayurweda/b6.png",
  },

  {
    id: 4,
    title: "Yoga – Awakening the Body and Mind",
    des1: "Yoga harmonizes the body, mind, and spirit, promoting flexibility, stability, and inner balance. Through mindful movement and breath control, it helps overcome limitations, unlock potential, and foster deep emotional and spiritual connection.",
    methods: [
      "Vamana Karma – Vomit therapy to eliminate Kapha-related disorders",
      "Virechana Karma – Purgative therapy to eliminate Pitta imbalances",
      "Vasti Karma – Therapeutic enema for Vata imbalances",
      "Nasya Karma – Sinus cleansing with warm oil or smoke",
      "Raktha Moksha – Bloodletting (used rarely)",
    ],
    sample1: "/ayurweda/b7.png",
    sample2: "/ayurweda/b8.png",
  },

  {
    id: 5,
    title: "Nutrition – Balanced Diet, Balanced Life",
    des1: "Ayurveda emphasizes the profound impact of food on overall health, recognizing that a well-balanced diet serves as both nourishment and medicine. Proper nutrition plays a vital role in maintaining harmony among the three Doshas—Vata, Pitta, and Kapha—helping to prevent illnesses and support the body's natural healing processes. Consuming fresh, wholesome, and nutrient-rich foods enhances digestion, boosts immunity, and strengthens overall vitality.",
    methods: [
      "Vamana Karma – Vomit therapy to eliminate Kapha-related disorders",
      "Virechana Karma – Purgative therapy to eliminate Pitta imbalances",
      "Vasti Karma – Therapeutic enema for Vata imbalances",
      "Nasya Karma – Sinus cleansing with warm oil or smoke",
      "Raktha Moksha – Bloodletting (used rarely)",
    ],
    sample1: "/ayurweda/b9.png",
    sample2: "/ayurweda/b10.png",
  },
];

export const projects = [
  "/projects/1.png",
  "/projects/2.png",
  "/projects/3.png",
  "/projects/4.png",
  "/projects/5.png",
  "/projects/6.png",
];

export const stacks = [
  "/stack/angular.png",
  "/stack/apache.png",
  "/stack/aws.png",
  "/stack/azure.png",
  "/stack/c++.png",
  "/stack/canva.png",
  "/stack/cloudflare.png",
  "/stack/csharp.png",
  "/stack/css3.png",
  "/stack/django.png",
  "/stack/docker.png",
  "/stack/figma.png",
  "/stack/flutter.png",
  "/stack/flutterflow.png",
  "/stack/git.png",
  "/stack/html5.png",
  "/stack/jquery.png",
  "/stack/js.png",
  "/stack/json.png",
  "/stack/kotlin.png",
  "/stack/linux.png",
  "/stack/meta.png",
  "/stack/mongoose.png",

  "/stack/nestjs.png",
  "/stack/nodejs.png",
  "/stack/npm.png",
  "/stack/npm2.png",
  "/stack/oracle.png",
  "/stack/php.png",
  "/stack/postgresql.png",
  "/stack/postman.png",
  "/stack/ps.png",
  "/stack/python.png",
  "/stack/reactjs.png",
  "/stack/redux.png",
  "/stack/spring.png",
  "/stack/swagger.png",
  "/stack/swift.png",
  "/stack/tailwindcss.png",
  "/stack/typescript.png",
  "/stack/vitejs.png",
  "/stack/vscode.png",
  "/stack/vuejs.png",

  "/stack/xd.png",
];

export const aboutUsData = [
  {
    dataItem: "03+",
    title: "Years of Experience",
  },
  {
    dataItem: "100+",
    title: "Placements",
  },
  {
    dataItem: "98%",
    title: "Visa Approval",
  },
];

export const socialLinks = [
  {
    icon: MailIcon,
    link: "mailto:yumeinternational7@gmail.com",
    text: "yumeinternational7@gmail.com",
  },
  {
    icon: PhoneIcon,
    link: "callto:+94775274549",
    text: "+94775274549 (WhatsApp)",
  },
  {
    icon: FaceBookIcon,
    link: "https://web.facebook.com/educationjapanvisastudentlanguage",
    text: "Yume International Unity",
  },
];

export const staffDetails = [
  {
    image: "/images/staff/director.jpg",
    position: "Director",
    name: "Mr. Dinuka Amal",
  },
  {
    image: "/images/staff/managing-director.jpg",
    position: "Managing Director",
    name: "Mrs. Sanjula Munasinghe",
  },
  {
    image: "/images/staff/secretary.jpg",
    position: "Secretary",
    name: "Mr. Ashan Munasinghe",
  },
  {
    image: "/images/staff/office-administration.jpg",
    position: "Office Administration",
    name: "Ms. Shanika Rathnayaka",
  },
  {
    image: "/images/staff/office-administration-2.jpg",
    position: "Office Administration",
    name: "Ms. Dewmini Rajapaksha",
  },
];

export const pathwayDetails = [
  {
    title: "Easy Visa Process",
    description: "Hassle-free and guided application steps.",
  },
  {
    title: "Proven High Success Rate",
    description: "Trusted results for student visas.",
  },
  {
    title: "Comprehensive Document Support",
    description: "Help with all required paperwork.",
  },
];

export const visaProcess = [
  {
    number: "01",
    title: "Consultation & Admission",
    description: "Discuss your goals and apply to a Japanese institution.",
  },
  {
    number: "02",
    title: "Document Preparation",
    description: "Gather necessary documents with our assistance.",
  },
  {
    number: "03",
    title: "Certificate of Eligibility (CoE)",
    description: "Your institution applies for the CoE.",
  },
  {
    number: "04",
    title: "Visa Application Submission",
    description: "Submit your visa application with the CoE and documents.",
  },
  {
    number: "05",
    title: "Visa Issuance & Post-Arrival",
    description: "Get your visa and support for settling in Japan.",
  },
];

export const whyChooseUsOptions = [
  {
    id: 1,
    title: "Comprehensive Program Options",
  },
  {
    id: 2,
    title: "Expert Visa Assistance",
  },
  {
    id: 3,
    title: "Personalized Admission Guidance",
  },
  {
    id: 4,
    title: "Cultural and Academic Preparation ",
  },
  {
    id: 5,
    title: "Proven Success",
  },
];

export const availableCourses = [
  {
    id: 1,
    name: "N5 Course",
    period: "(6 Months)",
    description: "Learn basic Japanese language skills for daily life.",
    requirements: [
      {
        id: 1,
        description: "Age: No Age Limit",
      },
      {
        id: 2,
        description: "Education: After O/L",
      },
    ],
  },
  {
    id: 2,
    name: "N4 Course",
    period: "(6 Months)",
    description: "Build on your Japanese skills with more complex grammar.",
    requirements: [
      {
        id: 1,
        description: "Age: No Age Limit",
      },
      {
        id: 2,
        description: "Education: After O/L",
      },
    ],
  },
];

export const reviews = [
  {
    id: 1,
    review:
      "Yume International Unity made securing my student visa easy and stress-free. Their support was invaluable.",
    name: "Maria L",
    image: "/images/reviews/review1.png",
  },
  {
    id: 2,
    review:
      "The N5 Course gave me a solid foundation in Japanese, preparing me for my journey to Japan.",
    image: "/images/reviews/review2.png",
    name: "Rajiv K",
  },
];

export const homeGalleryImages = [
  { src: "/images/gallery/gallery1.png", alt: "Gallery Image 1" },
  { src: "/images/gallery/gallery2.png", alt: "Gallery Image 2" },
  { src: "/images/gallery/gallery5.png", alt: "Gallery Image 5" },
  { src: "/images/gallery/gallery3.png", alt: "Gallery Image 3" },
  { src: "/images/gallery/gallery4.png", alt: "Gallery Image 4" },
  { src: "/images/gallery/gallery6.png", alt: "Gallery Image 4" },
];

export const studentGalleryImages = [
  { src: "/images/student-gallery/gallery1.png", alt: "Gallery Image 1" },
  { src: "/images/student-gallery/gallery2.png", alt: "Gallery Image 2" },
  { src: "/images/student-gallery/gallery3.png", alt: "Gallery Image 3" },
  { src: "/images/student-gallery/gallery4.png", alt: "Gallery Image 4" },
  { src: "/images/student-gallery/gallery5.png", alt: "Gallery Image 5" },
  { src: "/images/student-gallery/gallery6.png", alt: "Gallery Image 6" },
];
